Create a quote version

Requires the QUOTE.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
quote_idstringRequired
The ID of the quote.
versionintegerRequired
The value describing the version of the quote.
expires_atdatetime or nullOptional
The expiration date of the quote version.
pricing_plan_subscription_infoobject or nullOptional
The info of the linked pricing plan subscription.
statusenum or nullOptional
internal_noteslist of strings or nullOptional
Internal notes on this quote versions.
noteslist of strings or nullOptional
Notes on this quote versions.
recipientslist of objects or nullOptional
The recipients for signature on this quote version.

Response

Created
quote_idstring
The ID of the quote.
versioninteger
The value describing the version of the quote.
object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
updated_atstring or nullRead-only
expires_atdatetime or null
The expiration date of the quote version.
pricing_plan_subscription_infoobject or null
The info of the linked pricing plan subscription.
statusenum or null
actionslist of objects or nullRead-only
The history of all actions done.
internal_noteslist of strings or null
Internal notes on this quote versions.
noteslist of strings or null
Notes on this quote versions.
approval_request_idstring or nullRead-only
The ID of the Approval Request that was created for this Quote Version.
recipientslist of objects or null
The recipients for signature on this quote version.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error